Skip to content
GAMPEONCreate
New project

Decide on a report about a job or message

POST
/v1/moderation/job-reports/{id}/decision
curl --request POST \
--url https://api.gampeon.com/v1/moderation/job-reports/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "action": "remove", "statementOfReasons": "example", "legalGround": "example" }'

remove removes the job or message, closes all open reports about it and informs the author (Art. 17 DSA) and the reporting people (Art. 16(5)). reject keeps it and informs the reporting person.

Requires the role moderator or admin.

Not available with access tokens.

id
required
string format: uuid

Report ID

Media typeapplication/json
object
action
required
string
Allowed values: remove reject
statementOfReasons
required

Statement of reasons, shown to the author (Art. 17 DSA)

string
>= 20 characters <= 5000 characters
legalGround
string
<= 500 characters

Decided

Media typeapplication/json
object
decisionId
required
string
action
required
string

Example generated

{
"decisionId": "example",
"action": "example"
}

Error codes: invalid_field

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: already_decided

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback